# Command: arraylib::GaborPatch

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    arraylib::GaborPatch - Return a two-dimensional array with Gabor function.

Synopsis:

      nrows ncols GaborPatch -> [[] .. []]

Description:

      This function returns a matrix of nrows by ncols, with the amplitudes
      of a Gabor function, computed over the range of [x_min,x_max] by [y_min,y_max].
      These and other parameters can be set by changing the function's options.

      An orientation of 0 RAD results in a vertically oriented Gabor.
      An orientation of Pi/2 results in an horizontally oriented Gabor.
      Angles are measured counter clockwise from the positive x-axis.

      The implementation follows the description given by
      N. Petkov and R. Kruizinga Biol.Cybern. 76, 83-97 (1997).

      Note that GaborPatch automatically performs a coordinate transformation
      from the mathematical x-y plane to the matrix row-column system.

Parameters:

      nrows: number of rows of the result matrix.
      ncols: number of columns of the result matrix.

Options:

      Options which determine the argument range of the Gabor patch.

      x_min	 doubletype 	- smallest x coordinate value  [-2Pi]
      x_max	 doubletype 	- largest  x coordinate value. [ 2Pi]
      y_min	 doubletype 	- smallest y coordinate value. [-2Pi]
      y_max	 doubletype 	- largest  y coordinate value. [ 2Pi]

      Options which determine the Gabor function:

      lambda	 doubletype 	- Wavelength of the Gabor in RAD. [ 2Pi]
      phase	 doubletype 	- Phase of the Gabor in RAD.	 [ 0.0]
      orientation doubletype 	- Rotation of the Gabor in RAD   [ 0.0]
      sigma	 doubletype 	- Width of the Gaussian envelope. [ Pi]
      gamma	 doubletype 	- Spatial aspect ratio.	 [ 1.0]

      The options correspond to the status dictionary entries of the
      gabor_device. Thus, it is possible to use the option dictionary
      of the GaborPatch to set the properties of a gabor device.

References:

    Petkov N and Kruizinga P: Biol. Cybern. 76, 83-96 (1997)

Author:

    Marc-Oliver Gewaltig

SeeAlso:

- gabor_

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/lib/sli/arraylib.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative